Subject: Re: bug#51475: read-char-choice should hide the cursor

From: Gregory Heytings <[email-masked]>
Date: Fri, 29 Oct 2021 18:54:14 +0000

>> Or we could make it depend on a dynamic variable.  See attached patch.
>
> I'd rather have an optional variable if this is something that should be 
> controlled.
>

You mean, an optional argument?  If so, unless you also add an additional 
optional argument to read-char-from-minibuffer, you'll need a dynamic 
variable anyway.

>
> But I'm not sure we want to.  The original example was:
>
> (read-char-choice " a - good\n b - bad\n c - ugly" '(?a ?b ?c))
>
> But that's an ugly prompt in itself.  If it's amended to
>
> (read-char-choice " a - good\n b - bad\n c - ugly: " '(?a ?b ?c))
>
> then it's fine showing the cursor.  (And that's a prompt should look.)
>

I'm not sure either.  I'm also not sure the OP would agree that your 
amended version is fine.